### Abstract ###

Name: gnome-spell
Version: 1.0.8
Release: 4%{?dist}
License: GPLv2+
Group: Applications/Text
Summary: Bonobo component for spell checking
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: gnome-spell-%{version}.tar.bz2

### Patches ###

Patch1: gnome-spell-1.0.7-multilib.patch
Patch2: gnome-spell-enchant.patch

### Dependencies ###

Requires: libbonoboui
Requires: libglade2
Requires: libgnomeui

### Build Dependencies ###

BuildRequires: enchant-devel
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libbonoboui-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomeui-devel

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides
spell checking dictionary (see Spell.idl for exact API definition). 
It's based on pspell package, which is required to build gnome-spell.

%prep
%setup -q -n gnome-spell-%{version}
%patch1 -p1 -b .multilib
%patch2 -p1 -b .enchant

%build
export _lib=%{_lib}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gnome-spell/*.la

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

%{find_lang} gnome-spell-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gnome-spell-%{version}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS AUTHORS 
%dir %{_libdir}/gnome-spell
%{_libdir}/gnome-spell/*.so
%{_libdir}/bonobo/servers/*
%{_datadir}/control-center-2.0/icons/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/idl/*

%changelog
* Sat Feb 09 2008 Matthew Barnes <mbarnes@redhat.com> - 1.0.8-4.fc9
- Rebuild with GCC 4.3

* Mon Jan 21 2008 Matthew Barnes <mbarnes@redhat.com> - 1.0.8-3.fc9
- Incorporate package review feedback from Parag AN (RH bug #225837).

* Thu Dec 20 2007 Caolan McNamara <caolanm@redhat.com> - 1.0.8-2.fc9
- Unify dictionaries, make gnome-spell use enchant

* Mon Oct 15 2007 Matthew Barnes <mbarnes@redhat.com> - 1.0.8-1.fc8
- Update to 1.0.8

* Wed Oct 10 2007 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-6.fc8
- Rebuild

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 1.0.7-5
- Don't install INSTALL

* Wed Jan 24 2007 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-4.fc7
- Clean up spec file, remove unused patches.
- Revise multilib patch so that we no longer have to run the autotools
  before building (RH bug #224160).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.7-3.1
- rebuild

* Thu Jun 08 2006 Jesse Keating <jkeating@redhat.com> - 1.0.7-3
- Add missing br gettext

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-2
- Own the /usr/lib/gnome-spell directory (closes #169278).

* Mon May 15 2006 Matthew Barnes <mbarnes@redhat.com> - 1.0.7-1
- Update to 1.0.7
- Disable pspell compatibility layer (added 3 years ago).
- Update gnome-spell-1.0.4-multilib.patch and rename it to version 1.0.7.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-13.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-13.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-13
- s/sed -ie/sed -i -e/

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-12
- fix fix for multilib issue with shlib bonobo components (bug 156982)

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 1.0.5-11
- fix multilib issue with shlib bonobo components (bug 156982)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 16 2005 David Malcolm <dmalcolm@redhat.com> - 1.0.5-10
- rebuild with GCC 4

* Wed Nov 24 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.5-8
- added explicit Requires on libgnomeui, libbonoboui, libglade2 and BuildRequires on the corresponding devel packages
- removed erroneous BuildRequires on libgal2-devel and linc-devel (#140478)

* Mon Jun 21 2004 David Malcolm <dmalcolm@redhat.com> - 1.0.5-6
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Jeremy Katz <katzj@redhat.com> - 1.0.5-4
- allow building with deprecated gtk+ widgets (#115082)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 1.0.5-1
- 1.0.5

* Wed Jul 23 2003 Elliot Lee <sopwith@redhat.com> 1.0.4-3
- Fix multilib (multilib.patch)

* Thu Jul 10 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-4
- rebuild

* Sun May 11 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-3
- new approach for handling compatibility with old pspell, fixes crashes with 
  the old patch and makes it a less manual process

* Wed May  7 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-2
- fix broken auto*

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.3-1
- 1.0.3

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-1
- rebuild with newer aspell

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.0.2-0.9
- update to 1.0.2
- add a patch to build and work with older aspell

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Karsten Hopp <karsten@redhat.de> 0.5-4
- rebuild with the last added buildrequires

* Wed Nov 13 2002 Jeremy Katz <katzj@redhat.com>
- add buildrequires of libcapplet0-devel (based on report from Daniel Resare)

* Tue Nov  5 2002 Jeremy Katz <katzj@redhat.com> 0.5-3
- rebuild against new gal

* Thu Oct 24 2002 Jeremy Katz <katzj@redhat.com> 0.5-2
- remove unpackages files in %%install

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.5-1
- 0.5

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- update to 0.4.1

* Fri Jan 25 2002 Jeremy Katz <katzj@redhat.com>
- rebuild in new environment

* Wed Jan  9 2002 Jeremy Katz <katzj@redhat.com>
- initial build for Red Hat Linux
